#include <gtk/gtk.h>
#include "animicon.h"
#include "winanimicon.h"

#include "anim_48x48/a00.xpm"
#include "anim_48x48/a01.xpm"
#include "anim_48x48/a02.xpm"
#include "anim_48x48/a03.xpm"
#include "anim_48x48/a04.xpm"
#include "anim_48x48/a05.xpm"
#include "anim_48x48/a06.xpm"
#include "anim_48x48/a07.xpm"
#include "anim_48x48/a08.xpm"
#include "anim_48x48/a09.xpm"
#include "anim_48x48/a10.xpm"
#include "anim_48x48/a11.xpm"
#include "anim_48x48/a12.xpm"
#include "anim_48x48/a13.xpm"
#include "anim_48x48/a14.xpm"
#include "anim_48x48/a15.xpm"
#include "anim_48x48/a16.xpm"
#include "anim_48x48/a17.xpm"
#include "anim_48x48/a18.xpm"

GtkWidget *WinAnimIconNew(void);


#define ATOI(s)		(((s) != NULL) ? atoi(s) : 0)
#define ATOL(s)		(((s) != NULL) ? atol(s) : 0)
#define ATOF(s)		(((s) != NULL) ? atof(s) : 0.0f)
#define STRDUP(s)	(((s) != NULL) ? g_strdup(s) : NULL)

#define MAX(a,b)	(((a) > (b)) ? (a) : (b))
#define MIN(a,b)	(((a) < (b)) ? (a) : (b))
#define CLIP(a,l,h)	(MIN(MAX((a),(l)),(h)))
#define STRLEN(s)	(((s) != NULL) ? strlen(s) : 0)
#define STRISEMPTY(s)	(((s) != NULL) ? (*(s) == '\0') : TRUE)


GtkWidget *WinAnimIconNew(void)
{
	GdkColor color_bg = { 0, (gushort)-1, (gushort)-1, (gushort)-1 };
	GList *glist = NULL;
	GtkWidget *w = AnimIconNew(48, 48);
	AnimIconSetColorBG(w, &color_bg);
	glist = g_list_append(glist, a00_xpm);
	glist = g_list_append(glist, a01_xpm);
	glist = g_list_append(glist, a02_xpm);
	glist = g_list_append(glist, a03_xpm);
	glist = g_list_append(glist, a04_xpm);
	glist = g_list_append(glist, a05_xpm);
	glist = g_list_append(glist, a06_xpm);
	glist = g_list_append(glist, a07_xpm);
	glist = g_list_append(glist, a08_xpm);
	glist = g_list_append(glist, a09_xpm);
	glist = g_list_append(glist, a10_xpm);
	glist = g_list_append(glist, a11_xpm);
	glist = g_list_append(glist, a12_xpm);
	glist = g_list_append(glist, a13_xpm);
	glist = g_list_append(glist, a14_xpm);
	glist = g_list_append(glist, a15_xpm);
	glist = g_list_append(glist, a16_xpm);
	glist = g_list_append(glist, a17_xpm);
	glist = g_list_append(glist, a18_xpm);
	AnimIconSetFromXPMDataList(w, glist, 150l);
	g_list_free(glist);
	AnimIconSetRepeating(w, TRUE);
	return(w);
}
