#ifndef WINLIST_H
#define WINLIST_H

#include "obj.h"
#include "win.h"


extern gint WinSrcListInsert(
	win_struct *win, gint row,
	obj_struct *obj			/* Transfered */
);
extern gint WinSrcListAppend(
	win_struct *win,
	obj_struct *obj			/* Transfered */
);
extern void WinSrcListRemove(win_struct *win, gint row);
extern void WinSrcListClear(win_struct *win);
extern void WinSrcListUpdateRow(
	win_struct *win, gint row, obj_struct *obj
);

extern gint WinTarListInsert(
        win_struct *win, gint row,
        obj_struct *obj			/* Transfered */
);
extern gint WinTarListAppend(
        win_struct *win,
        obj_struct *obj			/* Transfered */
);
extern void WinTarListRemove(win_struct *win, gint row);
extern void WinTarListClear(win_struct *win);
extern void WinTarListUpdateRow(
        win_struct *win, gint row, obj_struct *obj
);


#endif	/* WINLIST_H */
